#include <map>
#include <iostream>
#include <stdio.h>
#include <vector>
#include <math.h>
#include <string.h>
using namespace std;

struct int2 {
	int x; int y;
	int vec(const int2& v){
		int dx = x - v.x;
		int dy = y - v.y;
		if(dx < 0) dx = -dx;
		if(dy < 0) dy = -dy;
		int sq = sqrt(dy*dy + dx*dx);
		return dy * 1000000/sq + dx*1000/sq;
	}
	int dot(const int2& v){
		return x*v.x + y*v.y;
	}
};

int main(){
	int n = 0;
	scanf("%d", &n);
	vector<int2> stars(n);
	map<int, int> uq;
//	int mapka[2002][2002];
//	memset(mapka, 0, sizeof(mapka));
	for(int i=0; i<n; i++){
		scanf("%d %d", &stars[i].x, &stars[i].y);
		stars[i].x += 1000;
		stars[i].y += 1000;
//		mapka[stars[i].y][stars[i].x] = 1;
	}
	for(int i=0; i<n; i++){
		for(int j=0; j<n; j++){
			if(i==j) continue;
			uq[stars[i].vec(stars[j])]++;
		}
	}
	cout << (uq.size() / 2);
}
